Read Household Leslie Configuration

<Badge>Available by Request</Badge> Read whether the Leslie integration is enabled for a specific household. If no configuration has been saved for the household yet, a default of `enabled: true` (and `effectiveEnabled: true`) is returned. Integrations should key off of `effectiveEnabled` rather than the raw `enabled` value, since `effectiveEnabled` accounts for a disabled quiet period (`disabledUntil`) that has since elapsed even though `enabled` still reflects the last saved value until it is explicitly re-enabled. <Note> This endpoint is part of our evolving API ecosystem. To explore availability for your integration, please contact our team. </Note>

Path parameters

householdIdstringRequired
The id of the household

Response

Expected response to a valid request
createdAtdatetimeOptional
disabledAtdatetimeOptional
disabledByIdstringOptionalformat: "uuid"
disabledReasonstringOptional<=1000 characters
disabledUntildatetimeOptional
effectiveEnabledbooleanOptional

The value integrations should act on. This accounts for any quiet period that has since ended, and may differ from the raw enabled value.

enabledbooleanOptional
Whether the Leslie integration is enabled for this household.
householdobjectOptional
householdIdstringOptionalformat: "uuid"
idstringOptionalformat: "uuid"
isInQuietPeriodbooleanOptional
Whether a disabled quiet period is currently active for this household.
updatedAtdatetimeOptional